/***************************************************************************
 * qcanvasTextcm.h: implementation of QCanvasTextCm class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef QCANVASTEXTCM_H
#define QCANVASTEXTCM_H

#include <QGraphicsSimpleTextItem>
#include <QGraphicsItem>

#include "qcanvasitemcm.h"

class QString;
class QFont;

class Cm;
class QPointCm;

class QCanvasTextCm : public QGraphicsSimpleTextItem, public QCanvasItemCm {
public:
	QCanvasTextCm(QGraphicsItem* parent);
	QCanvasTextCm(const QString& text, const QFont& font, QGraphicsItem* parent);
	QCanvasTextCm(const QString& text, const QFont& font);
	QCanvasTextCm(const QString& text);
	virtual ~QCanvasTextCm();
	
	/*virtual void setX(const Cm& x);
	virtual void setY(const Cm& y);*/
	
	virtual void setPosFromPoint(const QPointCm& point);
	virtual void setPosFromCoord(const Cm& x, const Cm& y);
	virtual void moveBy(const Cm& x, const Cm& y);
};

#endif
